pqxx::thread_safety_model Struct Reference

Descriptor of library's thread-safety model. More...

`#include <util.hxx>`

## Public Attributes

bool | have_safe_strerror = true
bool | safe_libpq
| Is the underlying libpq build thread-safe? More...
bool | safe_query_cancel = true
bool | safe_result_copy = true
bool | safe_kerberos
| Is Kerberos thread-safe? More...
std::string | description
| A human-readable description of any thread-safety issues. More...

## Detailed Description

Descriptor of library's thread-safety model.

This describes what the library knows about various risks to thread-safety.

## Member Data Documentation

## description

std::string pqxx::thread_safety_model::description

A human-readable description of any thread-safety issues.

Referenced by pqxx::describe_thread_safety().

## have_safe_strerror

bool pqxx::thread_safety_model::have_safe_strerror = true

Deprecated:
  Is error reporting thread-safe? Now always true.

## safe_kerberos

bool pqxx::thread_safety_model::safe_kerberos

Is Kerberos thread-safe?

Warning
  Is currently always `false`.

If your application uses Kerberos, all accesses to libpqxx or Kerberos must be serialized. Confine their use to a single thread, or protect it with a global lock.

Referenced by pqxx::describe_thread_safety().

## safe_libpq

bool pqxx::thread_safety_model::safe_libpq

Is the underlying libpq build thread-safe?

Referenced by pqxx::describe_thread_safety().

## safe_query_cancel

bool pqxx::thread_safety_model::safe_query_cancel = true

Deprecated:
  Query cancel is always thread-safe now.

## safe_result_copy

bool pqxx::thread_safety_model::safe_result_copy = true

Deprecated:
  Always thread-safe to copy a 'result' or 'binarystring' now.

The documentation for this struct was generated from the following file:

- util.hxx